
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>

  <groupId>com.camunda.fox.platform</groupId>
  <artifactId>fox-platform-core-bom</artifactId>
  <packaging>pom</packaging>

  <name>fox platform CE - Core bill of material</name>

  <parent>
    <groupId>com.camunda.fox.engine</groupId>
    <artifactId>fox-engine-root</artifactId>
    <version>1.26.0-SNAPSHOT</version>
	<relativePath>../../../fox-engine/pom.xml</relativePath>
  </parent>

  <properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <fox.engine.version>${project.version}</fox.engine.version>
  </properties>

  <dependencyManagement>
    <dependencies>
      <!-- ============================================================= -->
      <!-- modules part of this project -->
      <dependency>
        <groupId>com.camunda.fox.platform</groupId>
        <artifactId>fox-platform-service</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>com.camunda.fox.platform</groupId>
        <artifactId>fox-platform-api</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>com.camunda.fox.platform</groupId>
        <artifactId>fox-platform-deployer</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>com.camunda.fox.platform</groupId>
        <artifactId>fox-platform-client</artifactId>
        <version>${project.version}</version>
      </dependency>

      <!-- ============================================================= -->
      <!-- dependencies -->
      <dependency>
        <groupId>com.camunda.fox.engine</groupId>
        <artifactId>fox-engine</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>com.camunda.fox.engine</groupId>
        <artifactId>fox-engine-cdi</artifactId>
        <version>${project.version}</version>
      </dependency>
      <dependency>
        <groupId>org.jboss.spec</groupId>
        <artifactId>jboss-javaee-web-6.0</artifactId>
        <version>2.0.0.Final</version>
        <type>pom</type>
        <exclusions>
          <exclusion>
            <artifactId>xalan</artifactId>
            <groupId>org.apache.xalan</groupId>
          </exclusion>
        </exclusions>
      </dependency>
    </dependencies>
  </dependencyManagement>

</project>
